La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const purchases = await lapyme.purchases.listPurchases({
limit: 20,
dateFrom: new Date("2026-03-01"),
dateTo: new Date("2026-03-31"),
});curl --request GET \
--url https://api.lapyme.com.ar/api/v1/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucher_type": "<string>",
"invoice_date": "<string>",
"account_date": "<string>",
"due_date": "<string>",
"total": 1,
"balance": 123,
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"exchange_rate": "<string>",
"supplier_invoice_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"tags": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list",
"url": "<string>"
}{
"request_id": "req_purchase_list_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for listing purchases",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_purchase_list_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_purchase_list_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_purchase_list_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not list purchases",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Listar compras
Lista las compras de la organización. Soporta filtros por fecha, importe y búsqueda de proveedor.
GET
/
api
/
v1
/
purchases
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const purchases = await lapyme.purchases.listPurchases({
limit: 20,
dateFrom: new Date("2026-03-01"),
dateTo: new Date("2026-03-31"),
});Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Query Parameters
Valor de next_cursor recibido en la respuesta anterior
Cantidad máxima de resultados por respuesta
Required range:
1 <= x <= 100Texto de búsqueda por proveedor, CUIT o número de factura del proveedor
Alias de query
Fecha inicial para el filtro
Fecha final para el filtro
Campo de fecha a usar para el filtro
Available options:
invoiceDate, dueDate Campo monetario a usar para min/max
Available options:
balance, total Importe mínimo para el filtro
Importe máximo para el filtro
Was this page helpful?
⌘I

